MongoDBRef::create
MongoDBRef::isRef
MongoDBRef
PHP Manual

# MongoDBRef::get

Fetches the object pointed to by a reference

### Description

public static array MongoDBRef::get ( MongoDB `$db` , array `$ref` )

### Parameters

`db`

  Database to use.

`ref`

  Reference to fetch.

### Return Values

Returns the document to which the reference refers or `NULL` if the document does not exist (the reference is broken).

### Examples

Example #1 MongoCollection::createDBRef example

`<?php
// get $person out of the db
$person = $people->findOne();
// dereference the address
$address = MongoDBRef::get($people->db, $person['address']);
?>`

### See Also

- MongoDB::getDBRef
- MongoCollection::getDBRef